package com.bocloud.cmp.model.hmc.sdk.job;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

import java.util.List;

/**
 * JobResults
 *
 * @author 007
 */
public class JobResults {
    /**
     * V1_2_0
     */
    /**
     * metadata
     */
    private Metadata metadata;
    /**
     * jobParameters
     */
    private List<JobParameter> jobParameters;
    /**
     * @return the schemaVersion
     */
    /**
     * @param schemaVersion the schemaVersion to set
     */
    /**
     * @return the metadata
     */
    public Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the jobParameters
     */
    public List<JobParameter> getJobParameters() {
        return jobParameters;
    }

    /**
     * @param jobParameters the jobParameters to set
     */
    public void setJobParameters(List<JobParameter> jobParameters) {
        this.jobParameters = jobParameters;
    }

    public JobResults() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
